# List vault wallets

List all wallets within a vault

Endpoint: GET /v2/vaults/{vaultId}/wallets
Version: 2.0
Security: TokenAuth

## Path parameters:

  - `vaultId` (string, required)
    The vault ID

## Query parameters:

  - `pageSize` (integer)
    The number of results to return per page (default 50, max 1000)

  - `pageToken` (string)
    The token to retrieve the next page of results

  - `blockchain` (string)
    The blockchain of the wallet
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `wallets` (array)

  - `wallets.id` (string, required)
    The wallet ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.vaultId` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.quorumId` (string)
    The quorum ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.createdBy` (string, required)
    The user ID that created the wallet
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.createdAt` (string, required)
    The date and time the wallet was created
    Example: "2022-03-29T10:22:22.420Z"

  - `wallets.updatedAt` (string, required)
    The date and time the wallet was update
    Example: "2022-03-29T10:22:22.420Z"

  - `wallets.name` (string, required)
    The name of the wallet
    Example: "USD Issuing wallet"

  - `wallets.description` (string)
    The description of the wallet
    Example: "Main USD issuing account used internally"

  - `wallets.address` (string)
    The address of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `wallets.publicKey` (string)
    The public key of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `wallets.keystore` (string, required)
    Enum: "HSM", "MPC"

  - `wallets.blockchain` (string)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `wallets.settings` (object, required)

  - `wallets.settings.enabled` (boolean, required)
    Whether the wallet is enabled or not
    Example: "true"

  - `wallets.settings.rawSigningEnabled` (boolean, required)
    Whether raw signing is enabled for the wallet
    Example: "true"

  - `wallets.settings.sweepingEnabled` (boolean, required)
    Whether sweeping is enabled for the wallet
    Example: "true"

  - `wallets.settings.defaultFreezeEnabled` (boolean, required)
    Whether to freeze inbound transactions by default
    Example: "true"

  - `wallets.status` (string, required)
    Enum: "CREATED", "PROVISIONING", "PROVISIONED_WALLET", "PROVISIONING_POLICY", "PROVISIONING_COMPLIANCE", "PROVISIONED_COMPLIANCE", "PROVISIONED", "PROVISIONING_FAILED"

  - `wallets.reasons` (array)
    The reasons why the wallet may have failed to provision
    Example: ["MPC session timed out"]

  - `wallets.alias` (string)
    The alias of the wallet
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `wallets.externalId` (string)
    External ID of this wallet, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.correlationId` (string)
    Correlation ID for the wallet
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `wallets.keyAlgorithm` (string, required)
    Enum: "SECP256K1", "ED25519"

  - `wallets.walletType` (string)
    Enum: "WALLET_TYPE_BLOCKCHAIN"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


